Skip to main content
GET
/
addresses
/
{address_hash_param}
/
counters
Get activity count stats for a specific address
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/addresses/{address_hash_param}/counters?apikey='
{
  "gas_usage_count": "<string>",
  "token_transfers_count": "<string>",
  "transactions_count": "<string>",
  "validations_count": "<string>"
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Response

Count statistics for the specified address.

Address counters

gas_usage_count
string
required
Pattern: ^-?([1-9][0-9]*|0)$
token_transfers_count
string
required
Pattern: ^-?([1-9][0-9]*|0)$
transactions_count
string
required
Pattern: ^-?([1-9][0-9]*|0)$
validations_count
string
required
Pattern: ^-?([1-9][0-9]*|0)$